<?php

namespace App\Http\Controllers\admin;


use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Validator;
use Illuminate\Support\Facades\Auth;

use App\Models\SocialMedia;


class SocialMediaController extends AdminBaseController
{

    public function __construct()
    {
        parent::__construct();      
        //$this->middleware('auth:admin');
        
    }

    public function index(Request $r)
    {   
        $this->data['gridData']=SocialMedia::get();    
        return view('admin.social.index',$this->data);
    
    }

    public function form(Request $r)
    {   
          
        $input = $r->all();
        $this->data['content']='';
        if(isset($input['id']) && $input['id']>0){
            $this->data['content']=SocialMedia::find($input['id']);
        }
       
       
        return view('admin.social.form',$this->data);
    
    }

    public function save(Request $r)
    {   
          
        $input = $r->all();

        
        if(isset($input['id']) && $input['id']>0){
            $page = SocialMedia::find($input['id']);        
            $page->update($input);
        }
        else{
            $page = SocialMedia::create($input);
        }

        return redirect()->route('admin.social');
    
    }

  

   
    

	
}
